import json


from django.contrib.auth import logout
from django.contrib.auth.decorators import login_required
from django.conf import settings
from django.http import HttpResponseRedirect
from django.shortcuts import render_to_response
from django.template import RequestContext

from shorturl.models import ShortURL

def login(request):
    return render_to_response(
        'login.html', context_instance=RequestContext(request))


def log_out(request):
    """Logout the User"""
    logout(request)
    return HttpResponseRedirect(settings.OPENID_SSO_LOGOUT_URL)
